Skip to main content
GET
/
messages
Error
A valid request URL is required to generate request examples
{ "limit": 20, "has_more": false, "data": [ { "id": "9da23599-e713-473b-982c-4328d4f5c78a", "conversation_id": "45701982-8118-4bc5-8e9b-64562b4555f2", "parent_message_id": null, "inputs": { "city": "San Francisco" }, "query": "What are the specs of the iPhone 13 Pro Max?", "answer": "iPhone 13 Pro Max specs are listed here:...", "status": "normal", "error": null, "message_files": [], "feedback": { "rating": "like" }, "retriever_resources": [], "agent_thoughts": [], "created_at": 1705407629 } ] }

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。

Query Parameters

conversation_id
string
required

会话 ID。

user
string

用户标识符。

first_id
string

当前页第一条聊天记录的 ID。默认为 null(获取最新消息)。获取后续页面时,使用当前列表中第一条消息的 ID 来获取更早的消息。

limit
integer
default:20

每次请求返回的聊天历史消息数量。

Required range: 1 <= x <= 100

Response

成功获取会话历史。

limit
integer

每页条目数。

has_more
boolean

是否有更多消息。

data
object[]

消息列表。